From cda0b7753d45425e082f0f653d22e51d3e5c685d Mon Sep 17 00:00:00 2001
From: Colin Watson <cjwatson@debian.org>
Date: Wed, 15 Jan 2014 16:19:50 +0000
Subject: Install perlfilter manual page in section 1, not 3

Forwarded: no
Last-Update: 2013-04-28

Patch-Name: perlfilter-man-section.patch
---
 Makefile.PL | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/Makefile.PL b/Makefile.PL
index c9faea9..8ad3180 100644
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -123,6 +123,20 @@ sub MY::libscan
 #' ;
 #}
 
+{
+    package MY;
+
+    # Fun hack by cjwatson to get perlfilter.pod manified in section 1 with
+    # all the other perl*.pod pages.
+    sub constants {
+	my ($self) = @_;
+	$self->{MAN1PODS}->{'perlfilter.pod'} =
+	    $self->catfile("\$(INST_MAN1DIR)", "perlfilter.\$(MAN1EXT)");
+	delete $self->{MAN3PODS}->{'perlfilter.pod'};
+	$self->SUPER::constants();
+    }
+}
+
 sub oldWarnings
 {
     local ($^I) = "" ;
